%define svnversion 916937

Name: nepomuk-kde
Summary: KDE 4 Playground Nepomuk Tool
Version: 4.2.0
Release: %mkrel 0.%{svnversion}.2
Group: Graphical desktop/KDE
License: LGPL
URL: http://websvn.kde.org/trunk/playground/base/nepomuk-kde/
Source: %name-%version.%{svnversion}.tar.bz2
Patch0: nepomuk-kde-4.2.0-mark-tagclound.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: soprano-devel >= 2.1.64 
BuildRequires: kdebase4-workspace-devel
BuildRequires: kdebase4-runtime-devel >= 1:4.1.71
BuildRequires: kdebase4-devel
Obsoletes: playground-%name < 4.0.1-2

%description
KDE 4 Playground Nepomuk Tool.

%files
%defattr(-,root,root)
%{_kde_bindir}/*
%{_kde_libdir}/kde4/*
%{_kde_datadir}/kde4/*
%{_kde_datadir}/applications/kde4/*
%{_kde_appsdir}/*

#---------------------------------------------------------------------------------

%define nepomukvisualization_major 0
%define libnepomukvisualization %mklibname nepomukvisualization %{nepomukvisualization_major}

%package -n %{libnepomukvisualization}
Summary: Inotify KDE 4 helper library
Group: System/Libraries

%description -n %{libnepomukvisualization}
Inotify KDE 4 helper library.

%if %mdkversion < 200900
%post -n %{libnepomukvisualization} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libnepomukvisualization} -p /sbin/ldconfig
%endif

%files -n %{libnepomukvisualization}
%defattr(-,root,root,-)
%{_kde_libdir}/libnepomukvisualization.so.%{nepomukvisualization_major}*

#---------------------------------------------------------------------------------

%define nepomukcontact_major 4
%define libnepomukcontact %mklibname nepomukcontact %{nepomukcontact_major}

%package -n %{libnepomukcontact}
Summary: Inotify KDE 4 helper library
Group: System/Libraries

%description -n %{libnepomukcontact}
Inotify KDE 4 helper library.

%if %mdkversion < 200900
%post -n %{libnepomukcontact} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libnepomukcontact} -p /sbin/ldconfig
%endif

%files -n %{libnepomukcontact}
%defattr(-,root,root,-)
%{_kde_libdir}/libnepomukcontact.so.%{nepomukcontact_major}*

#---------------------------------------------------------------------------------

%define nepomukpeopletag_major 0
%define libnepomukpeopletag %mklibname nepomukpeopletag %{nepomukpeopletag_major}

%package -n %{libnepomukpeopletag}
Summary: Inotify KDE 4 helper library
Group: System/Libraries

%description -n %{libnepomukpeopletag}
Inotify KDE 4 helper library.

%if %mdkversion < 200900
%post -n %{libnepomukpeopletag} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libnepomukpeopletag} -p /sbin/ldconfig
%endif

%files -n %{libnepomukpeopletag}
%defattr(-,root,root,-)
%{_kde_libdir}/libnepomukpeopletag.so.%{nepomukpeopletag_major}*

#---------------------------------------------------------------------------------

%define pimo_major 0
%define libpimo %mklibname pimo %{pimo_major}

%package -n %{libpimo}
Summary: Inotify KDE 4 helper library
Group: System/Libraries

%description -n %{libpimo}
Inotify KDE 4 helper library.

%if %mdkversion < 200900
%post -n %{libpimo} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libpimo} -p /sbin/ldconfig
%endif

%files -n %{libpimo}
%defattr(-,root,root,-)
%{_kde_libdir}/libpimo.so.%{pimo_major}*

#---------------------------------------------------------------------------------

%define nepomukannotation_major 0
%define libnepomukannotation %mklibname nepomukannotation %{nepomukannotation_major}

%package -n %{libnepomukannotation}
Summary: Inotify KDE 4 helper library
Group: System/Libraries

%description -n %{libnepomukannotation}
Inotify KDE 4 helper library.

%if %mdkversion < 200900
%post -n %{libnepomukannotation} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libnepomukannotation} -p /sbin/ldconfig
%endif

%files -n %{libnepomukannotation}
%defattr(-,root,root,-)
%{_kde_libdir}/libnepomukannotation.so.%{nepomukannotation_major}*

#---------------------------------------------------------------------------------

%define nepomuklinkwidget_major 0
%define libnepomuklinkwidget %mklibname nepomuklinkwidget %{nepomuklinkwidget_major}

%package -n %{libnepomuklinkwidget}
Summary: Inotify KDE 4 helper library
Group: System/Libraries

%description -n %{libnepomuklinkwidget}
Inotify KDE 4 helper library.

%if %mdkversion < 200900
%post -n %{libnepomuklinkwidget} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libnepomuklinkwidget} -p /sbin/ldconfig
%endif

%files -n %{libnepomuklinkwidget}
%defattr(-,root,root,-)
%{_kde_libdir}/libnepomuklinkwidget.so.%{nepomuklinkwidget_major}*

#---------------------------------------------------------------------------------

%package devel
Summary: Devel headers for nepomuk playground
Group: Development/KDE and Qt
Obsoletes: playground-nepomuk-kde-devel < 4.0.90-1
Requires: %{libnepomukpeopletag} = %version-%release
Requires: %{libnepomukvisualization} = %version-%release
Requires: %{libpimo} = %version-%release
Requires: %{libnepomukannotation} = %version-%release
Requires: %{libnepomuklinkwidget} = %version-%release
Conflicts: %name < 4.2.0-0.916937

%description devel
Devel headers for nepomuk playground

%files devel
%defattr(-,root,root,-)
%{_kde_libdir}/*.so
%{_kde_datadir}/dbus-1/interfaces/org.kde.nepomuk.Pimo.xml
%{_kde_datadir}/dbus-1/interfaces/org.kde.nepomuk.UserContextService.xml
%{_kde_libdir}/*.a
%{_kde_includedir}/*

#---------------------------------------------------------------------------------

%prep
%setup -q -n %name
%patch0 -p0

%build
%cmake_kde4
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

%clean 
rm -rf %buildroot



%changelog
* Mon Jan 26 2009 Helio Chissini de Castro <helio@mandriva.com> 4.2.0-0.916937.2mdv2009.1
+ Revision: 333765
- Remove exceptions for link

  + Funda Wang <fundawang@mandriva.org>
    - New snapshot
    - use cmake_kde to build

* Fri Jan 23 2009 Nicolas Vigier <nvigier@mandriva.com> 4.2.0-0.915213.4mdv2009.1
+ Revision: 333093
- move libnepomuklinkwidget.so from nepomuk-kde-devel to nepomuk-kde

* Thu Jan 22 2009 Funda Wang <fundawang@mandriva.org> 4.2.0-0.915213.3mdv2009.1
+ Revision: 332613
- fix conflicts between main and devel
- Add missing requires on devel package

* Thu Jan 22 2009 Helio Chissini de Castro <helio@mandriva.com> 4.2.0-0.915213.2mdv2009.1
+ Revision: 332594
- New svn build as requested by nepomuk developers

* Sun Nov 02 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.1.71-0.878903.2mdv2009.1
+ Revision: 299290
- Fix File list
- workaround pb in buildrequires
- Fix stupid typo
- Fix BuildRequires
- New snapshot

* Thu Aug 28 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.1.0-0.854049.1mdv2009.0
+ Revision: 277009
- New snapshot

* Sun Aug 24 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.1.0-0.847779.3mdv2009.0
+ Revision: 275589
- Add obsoletes

* Sat Aug 16 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.1.0-0.847779.2mdv2009.0
+ Revision: 272732
- Fix file list

* Sat Aug 16 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.1.0-0.847779.1mdv2009.0
+ Revision: 272568
- Add buildrequires
- New snapshot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu May 22 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.0.71-0.811361.1mdv2009.0
+ Revision: 210117
- New snapshot
- Rename accordly kde policy

* Thu Feb 21 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.1-1mdv2008.1
+ Revision: 173696
- import playground-nepomuk-kde

